#include<bits/stdc++.h>
using namespace std;
int a[10001];
vector<int> v;
int main(){
    int n;
    cin>>n;
    int br=0;
    for(int i=0;i<n;i++){
        cin>>a[i];
        if(a[i]%2==1){
            br++;
        }else{
            if(br!=0){
                v.push_back(br);
            }
            br=0;
        }
    }
    long long s1=0;
    for(int i=0;i<v.size();i++){
        s1=s1+v[i]*(v[i]-1)+v[i];
    }
    cout<<n*(n-1)/2+n-s1;
return 0;
}
